Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I am trying to install ArcSDE for Postgresql on CentOS 5.5 in i686 architecture. I have successfully installed and configured Postgresql. I did SDE pre-installation and as ArcSDE user, run the ArcSDE 10 installation script that went well without any error. During post-installation, while running $SDEHOME/bin/sdesetup, I am getting error 1015. The log file is showing SDE DBMS Error and is unable to install ST_GEOMETRY. I can see that st_geometry.so is created in /sdeexe100/pg841_st_lib/ directory. I am confused if I missed something during installation/configuration process or if I have to copy st_geometry.so file somewhere else for the installation. I have attached my log file.

Any help is highly appreciated!

Mukesh

share|improve this question
    
I'm pretty sure 1015 is a return code from SDE corresponding to SE_OBJECT_NOEXIST: edndoc.esri.com/arcsde/9.2/api/capi/returncodes_incl.htm As for what object it's looking for, I'm not sure. I would re-read the installation guide and make sure you haven't missed anything. Or contact tech support...they're good with installation issues. –  Derek Swingley Feb 25 '11 at 5:35
add comment

5 Answers 5

I had the same "problem"

after

CREATE LANGUAGE plpgsql;

the Postinstallation worked

share|improve this answer
add comment

I installed many times arcsde 10, (postgresql 8.4.1, centos 5.5)64 bit

move the st_geometry.so and, if you want to use the ST_Raster type, libst_raster_pg.so files from the ArcSDE installation media to the usr/lib/pgsql directory on 32-bit servers or the usr/lib64/pgsql directory on 64-bit servers.

If you have setup as DEFAULT PG_GEOMETRY, you must do the follwing in order to work: - be sure you created your database with the postgis template

  • give usage on the sde schema to public,

  • GRANT SELECT, UPDATE, INSERT, DELETE ON TABLE public.geometry_columns TO public;

  • GRANT SELECT ON TABLE public.spatial_ref_sys TO public;

disconnect from pgadmin just so you give full access to sdemon

It should work now, had the same error. Send me a message if you want to do a teamviewer remote and resolve your issue.

share|improve this answer
add comment

OK Here is some bad news, CentOS is not a support installation for ArcGIS Server Basic (ArcSDE). BUT since the base of CentOS is RHEL it "SHOULD" be fine

http://resources.arcgis.com/content/arcsde/10.0/postgresql-system-requirements

OK so now let's look at the issue, the an Esri Forum I have used in the past points to a couple of things

http://forums.arcgis.com/threads/19369-sde-postgresql-multiple-databases-problem

  • st_geometry.so needs to be present in: SDEHOME/bin location
  • PG/ lib location - where ever your LD_LIBRARY Path is pointing to for the postgres user, that location will depend on the Postgres version and how it was installed.

If that doesn't work keep reading the post as there iare some other dbinit settings you can change and lastly check the logs to see if the plpgsql is installed correctly

Have Fun,

CDB

share|improve this answer
add comment

Did you have the PostGIS geometry installed before? Perhaps you are getting a collision between the PostGIS ST_GEOMETRY definitions and the ESRI ST_GEOMETRY definitions. Up do a couple of years ago, I recall there were problems when installing both types on the same db. You can have arcsde talk to either geometry definition, but have them both on the same db at the same time.

share|improve this answer
add comment

The only thing I can think of (I have done this many times in windoze never linux.

at the point you have gotten to have you recieved the message that the sde user has been created in the db?

My thoought is that you are not getting the connection created and need specific permission set for the sde user in postgres. Have you read through the sde admin doc?

Not for linux

Postgres linux

share|improve this answer
    
As postgresql user, i have created sde admin account, sde tablespace, sde database with all privileges. I am able to connect to sde database, and create schema and grant privileges. I even run ArcSDE 10 installation script as ArcSDE user. However, while running sdesetup script, I am getting the errors as: "[Tue Jan 25 09:07:58 2011] ERROR installing/upgrading ArcSDE, Error = -1015" –  tester Jan 26 '11 at 17:02
    
I should ask one more silly question. Did you create the path for lib like? LD_LIBRARY_PATH $LD_LIBRARY_PATH:$SDEHOME/lib:<postgresql_location>/lib –  Brad Nesom Jan 26 '11 at 21:16
    
Yes, I've added SDEHOME, LD_LIBRARY_PATH and PATH in .bash_profile of SDE account and have exported it. –  tester Jan 26 '11 at 23:57
    
hmm, scratch, scratch. I'll keep looking –  Brad Nesom Jan 27 '11 at 15:18
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.